+++
date = "2019-01-17"
weight = 100

title = "19.03 TestReports 20190109 tiny-containers"

aliases = [
    "/old-wiki/19.03/TestReports/20190109/tiny-containers"
]
+++

Testing results considerations:

1.  These tests use tiny container images.
2.  All automated test cases already integrated into LAVA system were
    executed on the following images: Arm, Arm64, AMD64.
3.  Failures and partial failures were filed as bugs in Phabricator for
    further investigation and analysis.

-----

The platform image used for these tests are:

  - [Arm
    (20190109.0)](https://images.apertis.org/daily/experimental/19.03/20190109.0/armhf/rfs/isolation_rfs-19.03-armhf-20190109.0.tar.gz)
  - [Arm64
    (20190109.0)](https://images.apertis.org/daily/experimental/19.03/20190109.0/arm64/rfs/isolation_rfs-19.03-arm64-20190109.0.tar.gz)
  - [AMD64
    (20190109.0)](https://images.apertis.org/daily/experimental/19.03/20190109.0/amd64/rfs/isolation_rfs-19.03-amd64-20190109.0.tar.gz)

| ID                                                                                      | Description                                                                               | Type       | Arm        | Arm64      | AMD64  | Tested By | Notes                                                   |
| --------------------------------------------------------------------------------------- | ----------------------------------------------------------------------------------------- | ---------- | ---------- | ---------- | ------ | --------- | ------------------------------------------------------- |
| **LAVA sanity**                                                                         |                                                                                           |            |            |            |        |           |                                                         |
| [check-tiny-system-containers](https://qa.apertis.org/check-tiny-system-container.html) | Test privileged tiny container with shared network                                        | Integrated | bgcolor= | | bgcolor= | | FAILED | andrewsh  | [1](https://lava.collabora.co.uk/scheduler/job/1420869) |
| [check-tiny-user-containers](https://qa.apertis.org/check-tiny-user-container.html)     | Test non-privileged tiny container without networking                                     | Integrated | bgcolor= | | bgcolor= | | FAILED | andrewsh  | [2](https://lava.collabora.co.uk/scheduler/job/1420869) |
|                                                                                         |                                                                                           |            |            |            |        |           |                                                         |
|                                                                                         |                                                                                           |            |            |            |        |           |                                                         |
|                                                                                         | PASSED - All tests passed.                                                                |            |            |            |        |           |                                                         |
|                                                                                         | PARTIAL - Tests mostly passed, with some minor problems.                                  |            |            |            |        |           |                                                         |
|                                                                                         | FAILED - One or more tests failed.                                                        |            |            |            |        |           |                                                         |
|                                                                                         | NOT TESTED - Test not run due to some issue, like WIP, Disabled, lacking proper hardware. |            |            |            |        |           |                                                         |
|                                                                                         |                                                                                           |            |            |            |        |           |                                                         |
|                                                                                         |                                                                                           |            |            |            |        |           |                                                         |
|                                                                                         | CRITICAL test case - release blocker                                                      |            |            |            |        |           |                                                         |
|                                                                                         | HIGH priority test case - must be tested every week                                       |            |            |            |        |           |                                                         |
|                                                                                         | MEDIUM priority test case - must be tested at least every other week                      |            |            |            |        |           |                                                         |
|                                                                                         | LOW priority test case - test when possible                                               |            |            |            |        |           |                                                         |
|                                                                                         |                                                                                           |            |            |            |        |           |                                                         |

[Test Reports]( {{< ref "/qa/weekly_tests" >}} )

